[API Reference](../README.md) > [Web3EventFetcher](../interfaces/Web3EventFetcher.md)



# Interface: Web3EventFetcher


As implemented by Web3


## Properties
<a id="get"></a>

###  get

**●  get**:  *`function`* 

*Defined in [web3EventService.ts:559](https://github.com/daostack/arc.js/blob/f343aa24/lib/web3EventService.ts#L559)*


#### Type declaration
►(callback: *`function`*): `void`



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| callback | `function`   |  - |





**Returns:** `void`






___

<a id="watch"></a>

###  watch

**●  watch**:  *`function`* 

*Defined in [web3EventService.ts:560](https://github.com/daostack/arc.js/blob/f343aa24/lib/web3EventService.ts#L560)*


#### Type declaration
►(callback: *`function`*): `void`



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| callback | `function`   |  - |





**Returns:** `void`






___


## Methods
<a id="stopWatching"></a>

###  stopWatching

► **stopWatching**(callback?: *[fnVoid](../#fnVoid)*): `void`



*Defined in [web3EventService.ts:561](https://github.com/daostack/arc.js/blob/f343aa24/lib/web3EventService.ts#L561)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| callback | [fnVoid](../#fnVoid)   |  - |





**Returns:** `void`





___

<a id="stopWatchingAsync"></a>

###  stopWatchingAsync

► **stopWatchingAsync**(): `Promise`.<`void`>



*Defined in [web3EventService.ts:562](https://github.com/daostack/arc.js/blob/f343aa24/lib/web3EventService.ts#L562)*





**Returns:** `Promise`.<`void`>





___


